import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';


import { AppComponent } from './app.component';
import { LauncherComponent } from './launcher/launcher.component';
import { JoblistComponent } from './joblist/joblist.component';
import { MatButtonModule } from '@angular/material';
import { MatFormFieldModule } from '@angular/material';
import { MatOptionModule } from '@angular/material';
import { MatInputModule } from '@angular/material';
import { MatSelectModule } from '@angular/material';
import { MatListModule} from '@angular/material';
import { MatTableModule } from '@angular/material/table';
import { MatCardModule } from '@angular/material';
import { MatToolbarModule } from '@angular/material';
import { MatDialogModule, MatDialog } from '@angular/material';
import { MatSnackBarModule } from "@angular/material";
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { ComputesitesService } from './computesites.service';
import { StrudelappsService } from './strudelapps.service';
import { AuthorisationService } from './authorisation.service';
import { FlexLayoutModule } from '@angular/flex-layout';
import { FileExplorerModule } from './file-explorer/file-explorer.module';


import { TesService} from './tes.service';
import { BackendSelectionService} from './backend-selection.service';
import { SubmitAppService } from './submit-app.service';
import { FormsModule } from '@angular/forms';
import { HttpClientModule } from '@angular/common/http';
import { JobComponent } from './job/job.component';
// import { SiteselectionComponent } from './siteselection/siteselection.component';
// import { TeserrorsComponent } from './teserrors/teserrors.component';
import { AppRoutingModule } from './/app-routing.module';
// import { LogindialogComponent } from './logindialog/logindialog.component';
import { LogoutdialogComponent } from './logoutdialog/logoutdialog.component';
// import { LaunchdialogComponent } from './launchdialog/launchdialog.component';

import { MatSidenavModule, MatExpansionModule, MatIconModule } from '@angular/material';
import { StrudelapplistComponent } from './strudelapplist/strudelapplist.component';
import { KeygenComponent } from './keygen/keygen.component';
import { TransferComponent } from './transfer/transfer.component';
import { Sv2SideNavComponent } from './sv2-side-nav/sv2-side-nav.component';
import { ShareconnectComponent } from './shareconnect/shareconnect.component';
import { LaunchDialogComponent } from './launch-dialog/launch-dialog.component';
import { ModaldialogComponent } from './modaldialog/modaldialog.component'
// import { FileExplorerModule } from './file-explorer/file-explorer.module';




@NgModule({
  declarations: [
    AppComponent,
    LauncherComponent,
    JoblistComponent,
    JobComponent,
    // SiteselectionComponent,
    // TeserrorsComponent,
    LogoutdialogComponent,
    // LaunchdialogComponent,
    StrudelapplistComponent,
    KeygenComponent,
    TransferComponent,
    Sv2SideNavComponent,
    ShareconnectComponent,
    LaunchDialogComponent,
    ModaldialogComponent
  ],
  imports: [
  BrowserModule,
  MatButtonModule,
  MatFormFieldModule,
  MatOptionModule,
  MatInputModule,
  MatSelectModule,
  MatListModule,
  MatTableModule,
  MatCardModule,
  MatToolbarModule,
  MatDialogModule,
  MatProgressSpinnerModule,
  NoopAnimationsModule,
  FormsModule,
  HttpClientModule,
  AppRoutingModule,
  MatSidenavModule,
  MatExpansionModule,
  MatIconModule,
  MatSnackBarModule,
  FileExplorerModule,
  FlexLayoutModule,
  MatProgressBarModule,


  ],
    entryComponents: [ LogoutdialogComponent, LaunchDialogComponent, ModaldialogComponent],
  providers: [ StrudelappsService, ComputesitesService, TesService, SubmitAppService, MatDialog, AuthorisationService,BackendSelectionService],
  bootstrap: [AppComponent]
})
export class AppModule { }
